diff --git a/libkmime/kmime_util.cpp b/libkmime/kmime_util.cpp
index 6fea9fc84..624e0dae3 100644
--- a/libkmime/kmime_util.cpp
+++ b/libkmime/kmime_util.cpp
@@ -48,7 +48,7 @@ TQStrIList l_anguageCache;
 
 const char* cachedCharset(const TQCString &name)
 {
-  int idx=c_harsetCache.tqfind(name.data());
+  int idx=c_harsetCache.find(name.data());
   if(idx>-1)
     return c_harsetCache.at(idx);
 
@@ -59,7 +59,7 @@ const char* cachedCharset(const TQCString &name)
 
 const char* cachedLanguage(const TQCString &name)
 {
-  int idx=l_anguageCache.tqfind(name.data());
+  int idx=l_anguageCache.find(name.data());
   if(idx>-1)
     return l_anguageCache.at(idx);
 
@@ -134,7 +134,7 @@ TQString decodeRFC2047String(const TQCString &src, const char **usedCS,
   const int maxLen=400;
   int i;
 
-  if(src.tqfind("=?") < 0)
+  if(src.find("=?") < 0)
     result = src.copy();
   else {
     result.truncate(src.length());
@@ -262,7 +262,7 @@ TQCString encodeRFC2047String(const TQString &src, const char *charset,
     codec=KGlobal::charsets()->codecForName(usedCS, ok);
   }
 
-  if (usedCS.tqfind("8859-")>=0)  // use "B"-Encoding for non iso-8859-x charsets
+  if (usedCS.find("8859-")>=0)  // use "B"-Encoding for non iso-8859-x charsets
     useTQEncoding=true;
 
   encoded8Bit=codec->fromUnicode(src);
@@ -377,7 +377,7 @@ TQCString extractHeader(const TQCString &src, const char *name)
     pos1 = 0;
   } else {
     n.prepend("\n");
-    pos1 = src.tqfind(n.data(),0,false);
+    pos1 = src.find(n.data(),0,false);
   }
 
   if (pos1>-1) {    //there is a header with the given name
@@ -389,7 +389,7 @@ TQCString extractHeader(const TQCString &src, const char *name)
 
     if (src[pos2]!='\n') {  // check if the header is not empty
       while(1) {
-        pos2=src.tqfind("\n", pos2+1);
+        pos2=src.find("\n", pos2+1);
         if(pos2==-1 || pos2==len || ( src[pos2+1]!=' ' && src[pos2+1]!='\t') ) //break if we reach the end of the string, honor folded lines
           break;
         else
@@ -402,7 +402,7 @@ TQCString extractHeader(const TQCString &src, const char *name)
     if (!folded)
       return src.mid(pos1, pos2-pos1);
     else
-      return (src.mid(pos1, pos2-pos1).tqreplace(TQRegExp("\\s*\\n\\s*")," "));
+      return (src.mid(pos1, pos2-pos1).replace(TQRegExp("\\s*\\n\\s*")," "));
   }
   else {
     return TQCString(0); //header not found
@@ -413,7 +413,7 @@ TQCString extractHeader(const TQCString &src, const char *name)
 TQCString CRLFtoLF(const TQCString &s)
 {
   TQCString ret=s.copy();
-  ret.tqreplace(TQRegExp("\\r\\n"), "\n");
+  ret.replace(TQRegExp("\\r\\n"), "\n");
   return ret;
 }
 
@@ -421,7 +421,7 @@ TQCString CRLFtoLF(const TQCString &s)
 TQCString CRLFtoLF(const char *s)
 {
   TQCString ret=s;
-  ret.tqreplace(TQRegExp("\\r\\n"), "\n");
+  ret.replace(TQRegExp("\\r\\n"), "\n");
   return ret;
 }
 
@@ -429,7 +429,7 @@ TQCString CRLFtoLF(const char *s)
 TQCString LFtoCRLF(const TQCString &s)
 {
   TQCString ret=s.copy();
-  ret.tqreplace(TQRegExp("\\n"), "\r\n");
+  ret.replace(TQRegExp("\\n"), "\r\n");
   return ret;
 }
 
@@ -559,13 +559,13 @@ DateFormatter::custom(time_t t) const
   if ( mCustomFormat.isEmpty() )
     return TQString();
 
-  int z = mCustomFormat.tqfind("Z");
+  int z = mCustomFormat.find("Z");
   TQDateTime d;
   TQString ret = mCustomFormat;
 
   d.setTime_t(t);
   if ( z != -1 ) {
-    ret.tqreplace(z,1,zone(t));
+    ret.replace(z,1,zone(t));
   }
 
   ret = d.toString(ret);
diff --git a/libkmime/kqcstringsplitter.cpp b/libkmime/kqcstringsplitter.cpp
index d406691c3..b97ddb979 100644
--- a/libkmime/kqcstringsplitter.cpp
+++ b/libkmime/kqcstringsplitter.cpp
@@ -52,7 +52,7 @@ bool KTQCStringSplitter::first()
   
   start=0;
   
-  end=src.tqfind(sep.data(), start);
+  end=src.find(sep.data(), start);
   
   if(end!=-1) {
     dst=src.mid(start, end);
@@ -83,7 +83,7 @@ bool KTQCStringSplitter::last()
     
   end=src.length();
     
-  start=src.tqfindRev(sep.data(),end);
+  start=src.findRev(sep.data(),end);
   
   if(start!=-1) {
     dst=src.mid(start, end-start);
@@ -106,7 +106,7 @@ bool KTQCStringSplitter::next()
   
   if(start< (int) src.length()) {
     
-    end=src.tqfind(sep.data(), start);
+    end=src.find(sep.data(), start);
     
     if(end!=-1) {
       dst=src.mid(start, end-start);
@@ -142,7 +142,7 @@ bool KTQCStringSplitter::prev()
   
   if(end>0) {
     
-    start=src.tqfindRev(sep.data(),end);
+    start=src.findRev(sep.data(),end);
     
     if(start!=-1)
       dst=src.mid(start, end-start);
diff --git a/libkmime/tests/run_codec_tests b/libkmime/tests/run_codec_tests
index 62f5f2d60..62908eeec 100755
--- a/libkmime/tests/run_codec_tests
+++ b/libkmime/tests/run_codec_tests
@@ -19,7 +19,7 @@ failedTests=0
 # loop over all .expected files in the directory
 # specified by the single argument:
 
-for i in $(tqfind "$@" -type f -name '*.expected'); do
+for i in $(find "$@" -type f -name '*.expected'); do
 	dirName="$(dirname "$i")"
 	if [ "$dirName" != "$oldDirName" ]; then
 		oldDirName="$dirName"
diff --git a/libkpgp/kpgp.cpp b/libkpgp/kpgp.cpp
index 3abd1d79f..6035112c8 100644
--- a/libkpgp/kpgp.cpp
+++ b/libkpgp/kpgp.cpp
@@ -1044,7 +1044,7 @@ Module::prepareMessageForDecryption( const TQCString& msg,
     start = 0;
   else
   {
-    start = msg.tqfind( "\n-----BEGIN PGP" ) + 1;
+    start = msg.find( "\n-----BEGIN PGP" ) + 1;
     if( start == 0 )
     {
       nonPgpBlocks.append( msg );
@@ -1062,20 +1062,20 @@ Module::prepareMessageForDecryption( const TQCString& msg,
     else
       pgpBlock = UnknownBlock;
 
-    nextEnd = msg.tqfind( "\n-----END PGP", start + 15 );
+    nextEnd = msg.find( "\n-----END PGP", start + 15 );
     if( nextEnd == -1 )
     {
       nonPgpBlocks.append( msg.mid( lastEnd+1 ) );
       break;
     }
-    nextStart = msg.tqfind( "\n-----BEGIN PGP", start + 15 );
+    nextStart = msg.find( "\n-----BEGIN PGP", start + 15 );
 
     if( ( nextStart == -1 ) || ( nextEnd < nextStart ) ||
         ( pgpBlock == ClearsignedBlock ) )
     { // most likely we found a PGP block (but we don't check if it's valid)
       // store the preceding non-PGP block
       nonPgpBlocks.append( msg.mid( lastEnd+1, start-lastEnd-1 ) );
-      lastEnd = msg.tqfind( "\n", nextEnd + 14 );
+      lastEnd = msg.find( "\n", nextEnd + 14 );
       if( lastEnd == -1 )
       {
         pgpBlocks.append( new Block( msg.mid( start ) ) );
@@ -1086,7 +1086,7 @@ Module::prepareMessageForDecryption( const TQCString& msg,
       {
         pgpBlocks.append( new Block( msg.mid( start, lastEnd+1-start ) ) );
         if( ( nextStart != -1 ) && ( nextEnd > nextStart ) )
-          nextStart = msg.tqfind( "\n-----BEGIN PGP", lastEnd+1 );
+          nextStart = msg.find( "\n-----BEGIN PGP", lastEnd+1 );
       }
     }
 
@@ -1333,7 +1333,7 @@ Module::checkForPGP(void)
   havePgp=FALSE;
 
   path = getenv("PATH");
-  while((index = path.tqfind(":",lastindex+1)) != -1)
+  while((index = path.find(":",lastindex+1)) != -1)
   {
     pSearchPaths.append(path.mid(lastindex+1,index-lastindex-1));
     lastindex = index;
@@ -1487,12 +1487,12 @@ Module::canonicalAddress( const TQString& _adress )
   address = address.stripWhiteSpace();
 
   // just leave pure e-mail address.
-  if((index = address.tqfind("<")) != -1)
-    if((index2 = address.tqfind("@",index+1)) != -1)
-      if((index2 = address.tqfind(">",index2+1)) != -1)
+  if((index = address.find("<")) != -1)
+    if((index2 = address.find("@",index+1)) != -1)
+      if((index2 = address.find(">",index2+1)) != -1)
 	return address.mid(index,index2-index+1);
 
-  if((index = address.tqfind("@")) == -1)
+  if((index = address.find("@")) == -1)
   {
     // local address
     //char hostname[1024];
@@ -1502,8 +1502,8 @@ Module::canonicalAddress( const TQString& _adress )
   }
   else
   {
-    int index1 = address.tqfindRev(" ",index);
-    int index2 = address.tqfind(" ",index);
+    int index1 = address.findRev(" ",index);
+    int index2 = address.find(" ",index);
     if(index2 == -1) index2 = address.length();
     return "<" + address.mid(index1+1 ,index2-index1-1) + ">";
   }
@@ -1705,7 +1705,7 @@ Module::keysForAddress( const TQString& address )
     return KeyIDList();
   }
   TQString addr = canonicalAddress( address ).lower();
-  if( addressDataDict.tqcontains( addr ) ) {
+  if( addressDataDict.contains( addr ) ) {
     return addressDataDict[addr].keyIds;
   }
   else {
@@ -1720,7 +1720,7 @@ Module::setKeysForAddress( const TQString& address, const KeyIDList& keyIds )
     return;
   }
   TQString addr = canonicalAddress( address ).lower();
-  if( addressDataDict.tqcontains( addr ) ) {
+  if( addressDataDict.contains( addr ) ) {
     addressDataDict[addr].keyIds = keyIds;
   }
   else {
@@ -1782,7 +1782,7 @@ EncryptPref
 Module::encryptionPreference( const TQString& address )
 {
   TQString addr = canonicalAddress( address ).lower();
-  if( addressDataDict.tqcontains( addr ) ) {
+  if( addressDataDict.contains( addr ) ) {
     return addressDataDict[addr].encrPref;
   }
   else {
@@ -1798,7 +1798,7 @@ Module::setEncryptionPreference( const TQString& address,
     return;
   }
   TQString addr = canonicalAddress( address ).lower();
-  if( addressDataDict.tqcontains( addr ) ) {
+  if( addressDataDict.contains( addr ) ) {
     addressDataDict[addr].encrPref = pref;
   }
   else {
diff --git a/libkpgp/kpgpbase.cpp b/libkpgp/kpgpbase.cpp
index b9ad4d63d..f3a79216e 100644
--- a/libkpgp/kpgpbase.cpp
+++ b/libkpgp/kpgpbase.cpp
@@ -164,7 +164,7 @@ Base::run( const char *cmd, const char *passphrase, bool onlyReadFromPGP )
           }
           else if (pollin.revents & POLLOUT) {
             // search end of next line
-            if ((len2 = input.tqfind('\n', i)) == -1)
+            if ((len2 = input.find('\n', i)) == -1)
               len2 = input_length - i;
             else
               len2 = len2 - i + 1;
@@ -598,7 +598,7 @@ Base::runGpg( const char *cmd, const char *passphrase, bool onlyReadFromGnuPG )
           else if (poller[STD_IN].revents & POLLOUT) {
             if (!input.isEmpty()) {
               // search end of next line
-              if ((len2 = input.tqfind('\n', input_pos)) == -1)
+              if ((len2 = input.find('\n', input_pos)) == -1)
                 len2 = input_length - input_pos;
               else
                 len2 = len2 - input_pos + 1;
diff --git a/libkpgp/kpgpbase2.cpp b/libkpgp/kpgpbase2.cpp
index be96b5da9..97db773a7 100644
--- a/libkpgp/kpgpbase2.cpp
+++ b/libkpgp/kpgpbase2.cpp
@@ -118,16 +118,16 @@ Base2::encsign( Block& block, const KeyIDList& recipients,
     bool bad = FALSE;
     unsigned int num = 0;
     TQCString badkeys = "";
-    if (error.tqfind("Cannot find the public key") != -1)
+    if (error.find("Cannot find the public key") != -1)
     {
       index = 0;
       num = 0;
-      while((index = error.tqfind("Cannot find the public key",index))
+      while((index = error.find("Cannot find the public key",index))
 	    != -1)
       {
         bad = TRUE;
-        index = error.tqfind('\'',index);
-        int index2 = error.tqfind('\'',index+1);
+        index = error.find('\'',index);
+        int index2 = error.find('\'',index+1);
         if (num++)
           badkeys += ", ";
         badkeys += error.mid(index, index2-index+1);
@@ -149,15 +149,15 @@ Base2::encsign( Block& block, const KeyIDList& recipients,
         status |= ERROR;
       }
     }
-    if (error.tqfind("skipping userid") != -1)
+    if (error.find("skipping userid") != -1)
     {
       index = 0;
       num = 0;
-      while((index = error.tqfind("skipping userid",index))
+      while((index = error.find("skipping userid",index))
 	    != -1)
       {
         bad = TRUE;
-        int index2 = error.tqfind('\n',index+16);
+        int index2 = error.find('\n',index+16);
         if (num++)
           badkeys += ", ";
         badkeys += error.mid(index+16, index2-index-16);
@@ -187,12 +187,12 @@ Base2::encsign( Block& block, const KeyIDList& recipients,
 #endif
   if(passphrase != 0)
   {
-    if(error.tqfind("Pass phrase is good") != -1)
+    if(error.find("Pass phrase is good") != -1)
     {
       //kdDebug(5100) << "Base: Good Passphrase!" << endl;
       status |= SIGNED;
     }
-    if( error.tqfind("Bad pass phrase") != -1)
+    if( error.find("Bad pass phrase") != -1)
     {
       errMsg = i18n("Bad passphrase; could not sign.");
       status |= BADPHRASE;
@@ -200,7 +200,7 @@ Base2::encsign( Block& block, const KeyIDList& recipients,
       status |= ERROR;
     }
   }
-  if (error.tqfind("Signature error") != -1)
+  if (error.find("Signature error") != -1)
   {
     errMsg = i18n("Signing failed: please check your PGP User Identity, "
                   "the PGP setup, and the key rings.");
@@ -208,7 +208,7 @@ Base2::encsign( Block& block, const KeyIDList& recipients,
     status |= ERR_SIGNING;
     status |= ERROR;
   }
-  if (error.tqfind("Encryption error") != -1)
+  if (error.find("Encryption error") != -1)
   {
     errMsg = i18n("Encryption failed: please check your PGP setup "
                   "and the key rings.");
@@ -238,16 +238,16 @@ Base2::decrypt( Block& block, const char *passphrase )
 
   // pgp2.6 has sometimes problems with the ascii armor pgp5.0 produces
   // this hack can solve parts of the problem
-  if(error.tqfind("ASCII armor corrupted.") != -1)
+  if(error.find("ASCII armor corrupted.") != -1)
   {
     kdDebug(5100) << "removing ASCII armor header" << endl;
-    int index1 = input.tqfind("-----BEGIN PGP SIGNED MESSAGE-----");
+    int index1 = input.find("-----BEGIN PGP SIGNED MESSAGE-----");
     if(index1 != -1)
-      index1 = input.tqfind("-----BEGIN PGP SIGNATURE-----", index1);
+      index1 = input.find("-----BEGIN PGP SIGNATURE-----", index1);
     else
-      index1 = input.tqfind("-----BEGIN PGP MESSAGE-----");
-    index1 = input.tqfind('\n', index1);
-    index2 = input.tqfind("\n\n", index1);
+      index1 = input.find("-----BEGIN PGP MESSAGE-----");
+    index1 = input.find('\n', index1);
+    index2 = input.find("\n\n", index1);
     input.remove(index1, index2 - index1);
     exitqStatus = run(PGP2 " +batchmode +language=en -f", passphrase);
     if( !output.isEmpty() )
@@ -282,19 +282,19 @@ Base2::decrypt( Block& block, const char *passphrase )
    *
    * You do not have the secret key needed to decrypt this file.
    */
-  if(error.tqfind("File is encrypted.") != -1)
+  if(error.find("File is encrypted.") != -1)
   {
     //kdDebug(5100) << "kpgpbase: message is encrypted" << endl;
     status |= ENCRYPTED;
-    if((index = error.tqfind("Key for user ID:")) != -1)
+    if((index = error.find("Key for user ID:")) != -1)
     {
       // Find out the key for which the phrase is needed
       index  += 17;
-      index2 = error.tqfind('\n', index);
+      index2 = error.find('\n', index);
       block.setRequiredUserId( error.mid(index, index2 - index) );
       //kdDebug(5100) << "Base: key needed is \"" << block.requiredUserId() << "\"!\n";
 
-      if((passphrase != 0) && (error.tqfind("Bad pass phrase") != -1))
+      if((passphrase != 0) && (error.find("Bad pass phrase") != -1))
       {
         errMsg = i18n("Bad passphrase; could not decrypt.");
         kdDebug(5100) << "Base: passphrase is bad" << endl;
@@ -314,14 +314,14 @@ Base2::decrypt( Block& block, const char *passphrase )
 #if 0
     // ##### FIXME: This information is anyway currently not used
     //       I'll change it to always determine the recipients.
-    index = error.tqfind("can only be read by:");
+    index = error.find("can only be read by:");
     if(index != -1)
     {
-      index = error.tqfind('\n',index);
-      int end = error.tqfind("\n\n",index);
+      index = error.find('\n',index);
+      int end = error.find("\n\n",index);
 
       mRecipients.clear();
-      while( (index2 = error.tqfind('\n',index+1)) <= end )
+      while( (index2 = error.find('\n',index+1)) <= end )
       {
 	TQCString item = error.mid(index+1,index2-index-1);
 	item.stripWhiteSpace();
@@ -392,19 +392,19 @@ Base2::decrypt( Block& block, const char *passphrase )
    * Signature made 2001/09/09 16:01 GMT using 1024-bit key, key ID 12345678
    */
 
-  if((index = error.tqfind("File has signature")) != -1)
+  if((index = error.find("File has signature")) != -1)
   {
     // move index to start of next line
-    index = error.tqfind('\n', index+18) + 1;
+    index = error.find('\n', index+18) + 1;
     //kdDebug(5100) << "Base: message is signed" << endl;
     status |= SIGNED;
     // get signature date and signature key ID
-    if ((index2 = error.tqfind("Signature made", index)) != -1) {
+    if ((index2 = error.find("Signature made", index)) != -1) {
       index2 += 15;
-      int index3 = error.tqfind("using", index2);
+      int index3 = error.find("using", index2);
       block.setSignatureDate( error.mid(index2, index3-index2-1) );
       kdDebug(5100) << "Message was signed on '" << block.signatureDate() << "'\n";
-      index3 = error.tqfind("key ID ", index3) + 7;
+      index3 = error.find("key ID ", index3) + 7;
       block.setSignatureKeyId( error.mid(index3,8) );
       kdDebug(5100) << "Message was signed with key '" << block.signatureKeyId() << "'\n";
     }
@@ -415,38 +415,38 @@ Base2::decrypt( Block& block, const char *passphrase )
       block.setSignatureKeyId( "" );
     }
 
-    if( ( index2 = error.tqfind("Key matching expected", index) ) != -1)
+    if( ( index2 = error.find("Key matching expected", index) ) != -1)
     {
       status |= UNKNOWN_SIG;
       status |= GOODSIG;
-      int index3 = error.tqfind("Key ID ", index2) + 7;
+      int index3 = error.find("Key ID ", index2) + 7;
       block.setSignatureKeyId( error.mid(index3,8) );
       block.setSignatureUserId( TQString() );
     }
-    else if( (index2 = error.tqfind("Good signature from", index)) != -1 )
+    else if( (index2 = error.find("Good signature from", index)) != -1 )
     {
       status |= GOODSIG;
       // get signer
-      index = error.tqfind('"',index2+19);
-      index2 = error.tqfind('"', index+1);
+      index = error.find('"',index2+19);
+      index2 = error.find('"', index+1);
       block.setSignatureUserId( error.mid(index+1, index2-index-1) );
     }
-    else if( (index2 = error.tqfind("Bad signature from", index)) != -1 )
+    else if( (index2 = error.find("Bad signature from", index)) != -1 )
     {
       status |= ERROR;
       // get signer
-      index = error.tqfind('"',index2+19);
-      index2 = error.tqfind('"', index+1);
+      index = error.find('"',index2+19);
+      index2 = error.find('"', index+1);
       block.setSignatureUserId( error.mid(index+1, index2-index-1) );
     }
-    else if( error.tqfind("Keyring file", index) != -1 )
+    else if( error.find("Keyring file", index) != -1 )
     {
       // #### fix this hack
       status |= UNKNOWN_SIG;
       status |= GOODSIG; // this is a hack...
       // determine file name of missing keyring file
-      index = error.tqfind('\'', index) + 1;
-      index2 = error.tqfind('\'', index);
+      index = error.find('\'', index) + 1;
+      index2 = error.find('\'', index);
       block.setSignatureUserId( i18n("The keyring file %1 does not exist.\n"
       "Please check your PGP setup.").tqarg(TQString(error.mid(index, index2-index))) );
     }
@@ -547,7 +547,7 @@ Base2::doGetPublicKeys( const TQCString & cmd, const TQStringList & patterns )
       // put all new keys into a map, remove duplicates
       while ( !publicKeys.isEmpty() ) {
         Key * key = publicKeys.take( 0 );
-        if ( !map.tqcontains( key->primaryFingerprint() ) )
+        if ( !map.contains( key->primaryFingerprint() ) )
           map.insert( key->primaryFingerprint(), key );
         else
           delete key;
@@ -626,10 +626,10 @@ Base2::parsePublicKeyData( const TQCString& output, Key* key /* = 0 */ )
   {
     /*
     if( secretKeys )
-      index = output.tqfind( "\nsec" );
+      index = output.find( "\nsec" );
     else
     */
-      index = output.tqfind( "\npub" );
+      index = output.find( "\npub" );
     if( index == -1 )
       return 0;
     else
@@ -641,7 +641,7 @@ Base2::parsePublicKeyData( const TQCString& output, Key* key /* = 0 */ )
     int index2;
 
     // search the end of the current line
-    if( ( index2 = output.tqfind( '\n', index ) ) == -1 )
+    if( ( index2 = output.find( '\n', index ) ) == -1 )
       break;
 
     if( !strncmp( output.data() + index, "pub", 3 ) ||
@@ -699,19 +699,19 @@ Base2::parsePublicKeyData( const TQCString& output, Key* key /* = 0 */ )
       pos = index + 4;
       while( output[pos] == ' ' )
         pos++;
-      pos2 = output.tqfind( '/', pos );
+      pos2 = output.find( '/', pos );
       subkey->setKeyLength( output.mid( pos, pos2-pos ).toUInt() );
 
       // Key ID
       pos = pos2 + 1;
-      pos2 = output.tqfind( ' ', pos );
+      pos2 = output.find( ' ', pos );
       subkey->setKeyID( output.mid( pos, pos2-pos ) );
 
       // Creation Date
       pos = pos2 + 1;
       while( output[pos] == ' ' )
         pos++;
-      pos2 = output.tqfind( ' ', pos );
+      pos2 = output.find( ' ', pos );
       int year = output.mid( pos, 4 ).toInt();
       int month = output.mid( pos+5, 2 ).toInt();
       int day = output.mid( pos+8, 2 ).toInt();
@@ -754,8 +754,8 @@ Base2::parsePublicKeyData( const TQCString& output, Key* key /* = 0 */ )
 
         TQCString fingerprint = output.mid( pos, index2-pos );
         // remove white space from the fingerprint
-	for ( int idx = 0 ; (idx = fingerprint.tqfind(' ', idx)) >= 0 ; )
-	  fingerprint.tqreplace( idx, 1, "" );
+	for ( int idx = 0 ; (idx = fingerprint.find(' ', idx)) >= 0 ; )
+	  fingerprint.replace( idx, 1, "" );
 
         subkey->setFingerprint( fingerprint );
       }
@@ -827,10 +827,10 @@ Base2::parseTrustDataForKey( Key* key, const TQCString& str )
   UserIDList userIDs = key->userIDs();
 
   // search the trust data belonging to this key
-  int index = str.tqfind( '\n' ) + 1;
+  int index = str.find( '\n' ) + 1;
   while( ( index > 0 ) &&
          ( strncmp( str.data() + index+2, keyID.data(), 8 ) != 0 ) )
-    index = str.tqfind( '\n', index ) + 1;
+    index = str.find( '\n', index ) + 1;
 
   if( index == 0 )
     return;
@@ -846,7 +846,7 @@ Base2::parseTrustDataForKey( Key* key, const TQCString& str )
     int index2;
 
     // search the end of the current line
-    if( ( index2 = str.tqfind( '\n', index ) ) == -1 )
+    if( ( index2 = str.find( '\n', index ) ) == -1 )
       break;
 
     // check if trust info for the next key starts
@@ -908,9 +908,9 @@ Base2::parseKeyList( const TQCString& output, bool secretKeys )
   else
   {
     if( secretKeys )
-      index = output.tqfind( "\nsec" );
+      index = output.find( "\nsec" );
     else
-      index = output.tqfind( "\npub" );
+      index = output.find( "\npub" );
     if( index == -1 )
       return keys;
     else
@@ -922,7 +922,7 @@ Base2::parseKeyList( const TQCString& output, bool secretKeys )
     int index2;
 
     // search the end of the current line
-    if( ( index2 = output.tqfind( '\n', index ) ) == -1 )
+    if( ( index2 = output.find( '\n', index ) ) == -1 )
       break;
 
     if( !strncmp( output.data() + index, "pub", 3 ) ||
@@ -979,19 +979,19 @@ Base2::parseKeyList( const TQCString& output, bool secretKeys )
       pos = index + 4;
       while( output[pos] == ' ' )
         pos++;
-      pos2 = output.tqfind( '/', pos );
+      pos2 = output.find( '/', pos );
       subkey->setKeyLength( output.mid( pos, pos2-pos ).toUInt() );
 
       // Key ID
       pos = pos2 + 1;
-      pos2 = output.tqfind( ' ', pos );
+      pos2 = output.find( ' ', pos );
       subkey->setKeyID( output.mid( pos, pos2-pos ) );
 
       // Creation Date
       pos = pos2 + 1;
       while( output[pos] == ' ' )
         pos++;
-      pos2 = output.tqfind( ' ', pos );
+      pos2 = output.find( ' ', pos );
       int year = output.mid( pos, 4 ).toInt();
       int month = output.mid( pos+5, 2 ).toInt();
       int day = output.mid( pos+8, 2 ).toInt();
@@ -1035,8 +1035,8 @@ Base2::parseKeyList( const TQCString& output, bool secretKeys )
         pos2 = pos + 18;
         TQCString fingerprint = output.mid( pos, index2-pos );
         // remove white space from the fingerprint
-	for ( int idx = 0 ; (idx = fingerprint.tqfind(' ', idx)) >= 0 ; )
-	  fingerprint.tqreplace( idx, 1, "" );
+	for ( int idx = 0 ; (idx = fingerprint.find(' ', idx)) >= 0 ; )
+	  fingerprint.replace( idx, 1, "" );
 
         subkey->setFingerprint( fingerprint );
       }
